# Error codes

| <p><br>Description</p> |                                              |
| ---------------------- | -------------------------------------------- |
| 200000                 | Success                                      |
| 400001                 | Parameter validation error                   |
| 500000                 | System error                                 |
| 500001                 | Failed to call upstream provider API         |
| 500002                 | Data processing error                        |
| 500003                 | Business operation failed                    |
| 500005                 | Account balance error                        |
| 504000                 | System timeout                               |
| 500006                 | Database insert error                        |
| 500008                 | Request rate limit exceeded                  |
| 500009                 | Please create the file template manually     |
| 500010                 | Repeated call to the same number             |
| 500011                 | Duplicate data                               |
| 500012                 | Account-to-template mapping failed           |
| 600001                 | Voice notification template does not exist   |
| 600002                 | Voice notification template status error     |
| 600003                 | Number pool does not exist                   |
| 600004                 | Number pool file does not exist              |
| 600005                 | Signature failed                             |
| 700000                 | This number has already been bound           |
| 7000001                | Failed to create voice notification template |
| 700010                 | Binding relationship does not exist          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/voice-api/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
